// Smooth scrolling for anchor links
document.querySelectorAll('a[href^="#"]').forEach(anchor => {
  anchor.addEventListener('click', function (e) {
    e.preventDefault();
    document.querySelector(this.getAttribute('href')).scrollIntoView({
      behavior: 'smooth'
    });
  });
});

// Add hover effects to cards
const cards = document.querySelectorAll('.member-card, .project-card');
cards.forEach(card => {
  card.addEventListener('mouseenter', () => {
    card.style.transition = 'transform 0.2s ease';
  });
  card.addEventListener('mouseleave', () => {
    card.style.transition = 'transform 0.2s ease';
  });
});